latest update: Feb. 22, 2019

The SME Enterprise File Fabric platform is shipped as a virtual appliance, this makes it easy to deploy. The new generation of Enterprise File Fabric has a more comprehensive way to upgrade. Upgrades from v10.x SME appliance or later are accomplished in-place, without the need to redeploy and migrate to a new virtual machine.

Please note that this procedure is written for systems that follow “standard” supported deployment architectures, for advanced deployments please contact support.

Enterprise File Fabric 1808 is currently available in the SME Enterprise Repository.

Prerequisites

Ensure the following prerequisites are met before beginning an upgrade:

  • SME version 10.0.X, 1705.X, 1712.X, 1808.X is installed and functional
  • Public internet access for download patches
  • A complete backup / snapshot has been done of both the system and the database

Verify storage providers have a valid certificates (especially when upgrading from 10.x or 1705). See Storage Provider Certificates for more information.

In addition, you must ensure you have full administrator access to the systems. The following user accounts and passwords will be required:

  • smeconfiguser
  • root
  • appladmin
  • organizational admin(s) of your organization

We always recommend that customers first perform an upgrade on a test system. This gives you the opportunity to try out any new features, and validate expected behaviour before and after the upgrade.

During the upgrade, ongoing uploads will be canceled and the site will be unavailable for a short duration, please schedule downtime accordingly.

Prepare for the upgrade

To receive upgrades for File Fabric you will need a valid support contract.

Start by backing up the appliance. This upgrade will be an upgrade of both software and the database, please do not proceed without a good backup. SME does not support a database rollback, so if something does not go to plan, a system restore will be required.

Checking storage certificates

Enterprise File Fabric version 1712 introduced greater security controls around storage providers SSL/TLS support. You should ensure you are familiar with these updates before proceeding. Details for this can be found here.

Upgrade

Log into the SME appliance as smeconfiguser e.g.

ssh smeconfiguser@cloudfiles.example.com

Change user to root

su -

First remove any previously installed repositories

yum erase sme-earlyaccessrepo -y

Next, we want to ensure that the Enterprise repository is installed. If it is installed already, the output will inform you that there is nothing to change

yum install https://download.storagemadeeasy.com/sme-repo-release-latest.rpm

Now update the appliance with the following command

yum clean all
yum install sme-package-1808.02 sme-release

Please reboot the system.

reboot

Customers using SME’s AD Proxy program to communicate with their LDAP system may experience a problem when trying to import users manually. When the problem occurs an error message saying “AD proxy: Active Directory Unknown error” will be displayed. This problem will only occur if the File Fabric has been upgraded from an older version to v1808 or v1901. The problem can be resolved by reentering the LDAP Base DN on the org. admin’s Auth Systems setup page.